Index: phonelux-backend/src/main/java/finki/it/phoneluxbackend/controllers/UserController.java
===================================================================
--- phonelux-backend/src/main/java/finki/it/phoneluxbackend/controllers/UserController.java	(revision 34950c66561199fd9a1d153e0d90d545949de23c)
+++ phonelux-backend/src/main/java/finki/it/phoneluxbackend/controllers/UserController.java	(revision 895cd8764a7d97717d7e3eb6f4248a199d3623f5)
@@ -33,3 +33,14 @@
     }
 
+    @PutMapping(path = "/{userId}/editspecifications")
+    public ResponseEntity<Object> editSpecificationsForUser(@PathVariable("userId") Long userId,
+                                                            @RequestBody String specifications){
+        return userService.editSpecificationsForUser(userId,specifications);
+    }
+
+    @GetMapping(path = "/{userId}/getspecifications")
+    public String getSpecificationsForUser(@PathVariable("userId") Long userId){
+        return userService.getSpecificationsForUser(userId);
+    }
+
 }
Index: phonelux-backend/src/main/java/finki/it/phoneluxbackend/entities/User.java
===================================================================
--- phonelux-backend/src/main/java/finki/it/phoneluxbackend/entities/User.java	(revision 34950c66561199fd9a1d153e0d90d545949de23c)
+++ phonelux-backend/src/main/java/finki/it/phoneluxbackend/entities/User.java	(revision 895cd8764a7d97717d7e3eb6f4248a199d3623f5)
@@ -69,4 +69,5 @@
     }
 
+
     public User(Long id, String firstName, String lastName, String email, UserRole userRole) {
         this.id = id;
Index: phonelux-backend/src/main/java/finki/it/phoneluxbackend/security/CustomAuthenticationFilter.java
===================================================================
--- phonelux-backend/src/main/java/finki/it/phoneluxbackend/security/CustomAuthenticationFilter.java	(revision 34950c66561199fd9a1d153e0d90d545949de23c)
+++ phonelux-backend/src/main/java/finki/it/phoneluxbackend/security/CustomAuthenticationFilter.java	(revision 895cd8764a7d97717d7e3eb6f4248a199d3623f5)
@@ -52,4 +52,6 @@
                 .withClaim("name", user.getFirstName())
                 .withClaim("id", user.getId())
+//                .withClaim("pickedSpecifications",user.getSpecifications()!=null ?
+//                        user.getSpecifications() : "[]")
                 .sign(algorithm);
 
Index: phonelux-backend/src/main/java/finki/it/phoneluxbackend/services/UserService.java
===================================================================
--- phonelux-backend/src/main/java/finki/it/phoneluxbackend/services/UserService.java	(revision 34950c66561199fd9a1d153e0d90d545949de23c)
+++ phonelux-backend/src/main/java/finki/it/phoneluxbackend/services/UserService.java	(revision 895cd8764a7d97717d7e3eb6f4248a199d3623f5)
@@ -85,5 +85,5 @@
         String name = decodedJWT.getClaim("name").as(String.class);
         Long id = decodedJWT.getClaim("id").as(Long.class);
-
+//        String pickedSpecifications = decodedJWT.getClaim("pickedSpecifications").as(String.class);
         return new User(id,name,role);
     }
@@ -175,3 +175,29 @@
         return ResponseEntity.ok().build();
     }
+
+    public ResponseEntity<Object> editSpecificationsForUser(Long userId, String specifications) {
+        boolean userExists = userRepository.existsById(userId);
+        if (!userExists)
+        {
+            return ResponseEntity.badRequest().body("User with id "+userId+" doesn't exist");
+        }
+        User user = userRepository.findById(userId).get();
+
+        user.setSpecifications(specifications);
+        userRepository.save(user);
+
+        return ResponseEntity.ok().build();
+    }
+
+    public String getSpecificationsForUser(Long userId) {
+        boolean userExists = userRepository.existsById(userId);
+        if (!userExists)
+        {
+            throw new UsernameNotFoundException("User with id "+userId+" doesn't exist");
+        }
+
+        User user = userRepository.findById(userId).get();
+
+        return user.getSpecifications() != null ? user.getSpecifications() : "[]";
+    }
 }
